lp:ubuntu/lucid/eglibc

Created by James Westby on 2009-10-30 and last modified on 2010-04-22
Get this branch:
bzr branch lp:ubuntu/lucid/eglibc
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Review team:
Ubuntu Development Team
Status:
Development

Recent revisions

41. By Michael Vogt on 2010-04-22

Fix logic that tests if gdm needs a restart or a reload
to handle both the initscript and upstart cases. This fixes
a gdm restart during a hardy to lucid upgrade (LP: #568292)

40. By Matthias Klose on 2010-04-17

[ Kees Cook ]
* [BZ #11333], Handle unnecessary padding in getdents64. LP: #392501.

[ Matthias Klose ]
* Apply from the 2.11-x86 branch:
  - Fix bugs in strcmp-sse4.S and strcmp-ssse3.S (H.J. Lu). LP: #563291.
  - Fix bugs in memcpy-ssse3. LP: #560135.
* Assign global scope to RFC 1918 addresses in getaddrinfo(). Thanks
  Tore Anderson. LP: #555210.
* Re-enable the local-ipv6-lookup patch. Addresses #417757.

39. By Matthias Klose on 2010-03-21

* Apply from the 2.11-x86 branch:
  - Append -U__i686 in ASFLAGS on x86.
  - Backport 32bit SSSE3/SSE4 optimized memcmp and strcmp from trunk.
  - Correct unwind info in strcmp-sse4.S.
  - Fix sysdeps/i386/i686/multiarch/memcmp-ssse3.S.
* Extend logic to restart upstart based services on NSS upgrade.
  LP: #505838.

38. By Kees Cook on 2010-03-03

* debian/patches/any/submitted-nis-shadow.diff: updated to fix
  incorrect password overwriting (LP: #526530).
* debian/control.in/main: update already uploaded g++ version Depend.

37. By Matthias Klose on 2010-02-26

* Merge with Debian (r4205, trunk).
* Merge from debian-2.11 branch:
  - Add debian/patches/arm/local-atomic.diff to fix the testsuite on arm.

36. By Matthias Klose on 2010-01-27

Update to the eglibc 2.11 branch (r9744).

35. By Matthias Klose on 2010-01-18

* Build package as eglibc-2.11.1 (based on r9672).
* Merge with Debian (r4096, trunk).

34. By Matthias Klose on 2010-01-17

* debian/*symbols*: Replace the upper dependency on (<< 2.11) with (<< 2.12).
  dpkg-gensymbols didn't complain about missing symbols in earlier uploads.
  LP: #508702.
* Add expected testsuite failures:
  - tst-cputimer1.out (powerpc 64bit).

33. By Matthias Klose on 2010-01-17

* Still build the package as a 2.11 pre-release; packages like
  libglib2.0-0, libnih1 and upstart have 'libc6 (<< 2.11)' dependencies,
  for whatever reason, but they already did fail to see the pre-release.
  See LP: #508702.
* Backport from the trunk: Optimize 32bit memset/memcpy with SSE2/SSSE3
  (H.J. Lu).

32. By Steve Langasek on 2010-01-08

* Upgrade the NSS min compat version to 2.11 in the maintainer scripts, to
  force maintainer restarts. LP: #504847.
* debian/control: point Vcs-Bzr at a branch whose access rights match those
  of the archive.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/maverick/eglibc
This branch contains Public information 
Everyone can see this information.

Subscribers